package com.uas.report.axis.authority;

import com.uas.report.util.ContextUtils;

public class PermissionsManagement {

	private PermissionsManagementService permissionsManagementService = ContextUtils
			.getBean(PermissionsManagementService.class);

	public WSObjectPermission[] getPermissionsForObject(String targetURI) {
		return permissionsManagementService.getPermissionsForObject(targetURI);
	}

	public WSObjectPermission putPermission(WSObjectPermission objectPermission) {
		return permissionsManagementService.putPermission(objectPermission);
	}

	public void deletePermission(WSObjectPermission objectPermission) {
		permissionsManagementService.deletePermission(objectPermission);
	}
}
